Require Import Pqf.Formulas.


Fixpoint type_of_fomula (f : form) : Type :=
match f with
| Var v => nat
| Bot => nat
|And f1 f2 => type_of_fomula f1 * type_of_fomula f2
| Or f1 f2 =>  type_of_fomula f1 + type_of_fomula f2
| Implies f1 f2 => type_of_fomula f1 -> type_of_fomula f2
end.